* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
:root {
  --clr-primary: #678e3e;
  --clr-primary-light: #beed8c;
  --clr-grey-1: #102a42;
  --clr-grey-5: #617d98;
  --clr-grey-10: #e3e7eb;
  --clr-white: #fff;
  --ff-primary: "Catamaran", sans-serif;
  --ff-secomdary: "Grand Hotel", cursive;
  --transition: all 0.3 linear;
  --spacing: 0.25rem;
  --radius: 0.5rem;
}

body {
  background: #040d15;
  font-family: Arial, Helvetica, sans-serif;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1.6;
}

#h1 {
  position: absolute;
  font-size: 50px;
  font-weight: 700;
  width: 100vw;
  font-family: Arial, Helvetica, sans-serif;
  margin-top: -15%;
  text-align: center;
  padding: 0.1em;
  background: rgba(90, 121, 167, 0.88);
  animation: left2right 3s;
  transition: all 0.2s;
  /* display: none;*/
}

.container {
  height: 100vh;
  width: 100vw;
  position: relative;
}

.start {
  outline: 0.3rem solid var(--clr-primary);
  outline-offset: 0.5rem;
  font-weight: 100;
  font-size: 40px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  cursor: pointer;
  background-color: var(--clr-primary);
  padding: 20px 50px;
  color: white;
}
.start:hover {
  outline: 0.3rem solid var(--clr-primary-light);
  outline-offset: 0.5rem;
  background-color: var(--clr-primary-light);
}

@keyframes left2right {
  0% {
    opacity: 0;
    -webkit-transform: translate3d(100%, 0, 0);
    transform: translate3d(100%, 0, 0);
  }
  100% {
    opacity: 1;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
  }
}

.quiz {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;

  display: grid;
  grid-template-rows: repeat(4, 1fr);
  grid-row-gap: 20px;

  visibility: hidden;
}

.quiz > * {
  display: flex;
  align-items: center;
  justify-content: center;
}

.question {
  display: flex;
  font-size: 35px;
  letter-spacing: 2px;
  background-color: rgba(247, 247, 247, 0.7);
  place-self: center;
  padding: 15px 30px;
  text-align: center;
}

.answers {
  width: 100%;
  justify-content: space-evenly;
  align-items: flex-end;
}

.answer {
  cursor: pointer;
  background-color: rgba(27, 118, 141, 0.7);
  padding: 7px 15px;
  text-align: center;
  color: white;
  font-size: 20px;
  height: 100px;
  width: 250px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.answer:hover {
  background-color: rgba(11, 65, 79, 0.7);
}
/* ---------- Time gauge --------- */
.time-gauge {
  height: 10px;
  background-color: #db8728;
}

.time-gauge-bg {
  height: 10px;
  width: 800px;
  background-color: lightgrey;
}
.time-gauge-bg,
.time-gauge {
  position: absolute;
  top: 78%;
  /* left: 22%;  */
}

/* Answer Timer */
.timer {
  align-self: flex-end;
  flex-direction: column;
}

.counter {
  font-size: 40px;
  color: rgb(27, 118, 141);
}

/* Progress Container */
.progress-box {
  height: 30px;
  width: 30px;
  background-color: lightgrey;
  margin-left: 15px;
}

/* Score Container */
.score-container {
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.85);
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 50px 100px;
  visibility: hidden;
}

.score-container h2 {
  font-size: 30px;
  font-weight: 100;
  text-align: center;
  color: white;
}
